# InboxSettingsWebPush

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**PublicKey** | **string** |  | 

## Methods

### NewInboxSettingsWebPush

`func NewInboxSettingsWebPush(publicKey string, ) *InboxSettingsWebPush`

NewInboxSettingsWebPush instantiates a new InboxSettingsWebPush object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewInboxSettingsWebPushWithDefaults

`func NewInboxSettingsWebPushWithDefaults() *InboxSettingsWebPush`

NewInboxSettingsWebPushWithDefaults instantiates a new InboxSettingsWebPush object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetPublicKey

`func (o *InboxSettingsWebPush) GetPublicKey() string`

GetPublicKey returns the PublicKey field if non-nil, zero value otherwise.

### GetPublicKeyOk

`func (o *InboxSettingsWebPush) GetPublicKeyOk() (*string, bool)`

GetPublicKeyOk returns a tuple with the PublicKey field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetPublicKey

`func (o *InboxSettingsWebPush) SetPublicKey(v string)`

SetPublicKey sets PublicKey field to given value.



[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


